package com.ruoyi.ss.risk.service;

import com.ruoyi.ss.risk.domain.RiskVO;

/**
 * @author wjh
 * 2024/11/23
 */
public interface RiskValidator {
    /**
     * 判断风控是否属于当前用户
     */
    boolean isUser(RiskVO risk, Long userId);

    /**
     * 判断风控是否属于当前用户
     */
    boolean isUser(Long riskId, Long userId);

    /**
     * 判断风控是否存在
     * @param riskId
     */
    boolean isExist(Long riskId);

}
